ORA-39142: incompatible version number 5.1 in dump file

Error:  ORA-39142: incompatible version number 5.1 in dump file.

I did get this error while I was importing a schema.

I did export a schema from Oracle Database 12.2.x and trying to import it to Oracle Database 12.2.x (version mismatch)

Solution: User “Version” option while exporting from 12.2.x as below

expdp system/manager schemas=CISSCHEMA dumpfile=CIS_Dump.dmp logfile=CIS.log directory=DATA_PUMP_DIR Version=12.1

Once it is done, import it to 12.1.x version of database:

impdp system/manager schemas=CISSCHEMA dumpfile=CIS_Dump.dmp logfile=CIS.log directory=DATA_PUMP_DIR

Nagulu Polagani

"We are all apprentices in a craft where no one ever becomes a master."

Latest posts by Nagulu Polagani (see all)